# $Revision: 1.7.2.3 $, $Date: 2003/03/13 00:56:44 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-Random
Summary:	Crypt::OpenSSL::Random - accessing the OpenSSL pseudo-random number generator
Summary(pl):	Crypt::OpenSSL::Random - dostp do generatora liczb pseudolosowych z OpenSSL
Name:		perl-Crypt-OpenSSL-Random
Version:	0.03
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Random provides the ability to seed and query the
OpenSSL library's pseudo-random number generator.

%description -l pl
Modu Crypt::OpenSSL::Random daje moliwo zasilania oraz odpytywanie
generatora liczb pseudolosowych z biblioteki OpenSSL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitearch}/Crypt/OpenSSL/Random.pm
%dir %{perl_sitearch}/auto/Crypt/OpenSSL/Random
%{perl_sitearch}/auto/Crypt/OpenSSL/Random/*.bs
%{perl_sitearch}/auto/Crypt/OpenSSL/Random/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/OpenSSL/Random/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OpenSSL-Random.spec,v $
Revision 1.7.2.3  2003/03/13 00:56:44  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7.2.2  2003/03/12 22:35:53  ankry
- BR: openssl-devel >= 0.9.6i

Revision 1.7.2.1  2003/02/28 14:08:10  ankry
- do not require openssl 0.9.7

Revision 1.7  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:29:25  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.4  2002/08/15 17:50:12  qboosh
- fixed Summary, added pl description
- added conditional tests
- release 3

Revision 1.3  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.2  2002/07/20 10:18:29  qboosh
- added OPTIMIZE

Revision 1.1  2002/07/19 23:05:47  ankry
- initial spec, STBR
